#
# spec file for package shared-color-profiles
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2010 Luis Medinas, Portugal
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           shared-color-profiles
Version:        0.1.5
Release:        11.1
License:        GPL-2.0+
Group:          System/GUI/Other
Summary:        Color profiles for color management
Url:            http://github.com/hughsie/shared-color-profile
Source:         http://people.freedesktop.org/~hughsient/releases/%{name}-%{version}.tar.gz
# For directory ownership
BuildRequires:  color-filesystem
Requires:       color-filesystem
Recommends:     icc-profiles
Recommends:     icc-profiles-scp-argyll
Recommends:     icc-profiles-scp-fogra
Recommends:     icc-profiles-scp-yamma
Suggests:       AdobeICCProfiles
Suggests:       icc-profiles-scp-oysonar
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
The shared-color-profiles package contains various profiles which are
useful for programs that are color management aware.

%package -n icc-profiles-scp-argyll
Summary:        Argyll color profiles, with improved text
License:        SUSE-Public-Domain
Requires:       color-filesystem

%description -n icc-profiles-scp-argyll
This package contains the color profiles from Argyll, with strings
updated for better integration in graphical user interfaces.

%package -n icc-profiles-scp-fogra
Summary:        FOGRA 27L color profile
License:        SUSE-Public-Domain
Requires:       color-filesystem

%description -n icc-profiles-scp-fogra
This package contains the FOGRA 27L color profile, used for offset
printing.

%package -n icc-profiles-scp-oysonar
Summary:        Oyranos color profiles, changed for consistent style
License:        Zlib
Requires:       color-filesystem
# Used to be called shared-color-profiles-extra in 11.4 and earlier
Provides:       %{name}-extra = %{version}
Obsoletes:      %{name}-extra < %{version}

%description -n icc-profiles-scp-oysonar
This package contains the color profiles from Oyranos, with strings
updated for better integration in graphical user interfaces.

Those profiles are less commonly used and are usually not required. They
may be useful for CMYK soft-proofing or for extra device support.

%package -n icc-profiles-scp-yamma
Summary:        Abstract color profiles
License:        MIT
Requires:       color-filesystem

%description -n icc-profiles-scp-yamma
This package contains abstract color profiles from the the separate+
project.

%prep
%setup -q

%build
%configure

%install
%makeinstall
# Install the Argyll LICENSE and README with other similar files
rm %{buildroot}%{_datadir}/shared-color-profiles/Argyll/{LICENSE,README}
cp profiles/Argyll/LICENSE LICENSE.Argyll
cp profiles/Argyll/README README.Argyll
# Install the Oysonar LICENSE and README with other similar files
rm %{buildroot}%{_datadir}/shared-color-profiles/Oysonar/{LICENSE,README}
cp profiles/Oysonar/LICENSE LICENSE.Oysonar
cp profiles/Oysonar/README README.Oysonar
# Install the Yamma LICENSE and README with other similar files
rm %{buildroot}%{_datadir}/shared-color-profiles/Yamma/{LICENSE,README}
cp profiles/Yamma/LICENSE LICENSE.Yamma
cp profiles/Yamma/README README.Yamma

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS
# IEC
%{_datadir}/color/icc/AdobeGammaTest.icm
%{_datadir}/color/icc/bluish.icc
# Fake profiles
%{_datadir}/color/icc/FakeBRG.icc
%{_datadir}/color/icc/FakeRBG.icc

%files -n icc-profiles-scp-argyll
%defattr(-, root, root)
%doc LICENSE.Argyll README.Argyll
%dir %{_datadir}/color/icc/Argyll
%{_datadir}/color/icc/Argyll/*.ic?

%files -n icc-profiles-scp-fogra
%defattr(-, root, root)
%{_datadir}/color/icc/Fogra27L.icc

%files -n icc-profiles-scp-oysonar
%defattr(-, root, root)
%doc LICENSE.Oysonar README.Oysonar
%dir %{_datadir}/color/icc/Oysonar
%{_datadir}/color/icc/Oysonar/*.ic?

%files -n icc-profiles-scp-yamma
%defattr(-, root, root)
%doc LICENSE.Yamma README.Yamma
%dir %{_datadir}/color/icc/Yamma
%{_datadir}/color/icc/Yamma/*.ic?

%changelog
* Tue Nov 15 2011 vuntz@opensuse.org
- Update to version 0.1.5:
  + Add a fake BRG profile
  + Add another RBG profile for testing
  + Tag the colorspace profiles with DATA_source=standard
  + Tag the test profiles with DATA_source=test
  + Tag the well-known colorspace profiles with STANDARD_space
- Change versioned Obsoletes from <= to < now that we have a new
  upstream version.
* Thu Sep 29 2011 vuntz@opensuse.org
- Add color-filesystem BuildRequires and Requires to all
  subpackages since it's now owning the directories we need.
- Add icc-profiles Recommends, since this will bring in some useful
  profiles.
- Split argyll, fogra and yamma profiles in
  icc-profiles-scp-argyll, icc-profiles-scp-fogra and
  icc-profiles-scp-yamma subpackages, to follow the icc-profiles
  naming convention.
- Rename extra subpackage to icc-profiles-scp-oysonar to follow the
  icc-profiles package naming convention. Add appropriate
  Provides/Obsoletes.
- Remove now unneeded %%clean section.
* Fri Jul  1 2011 vuntz@opensuse.org
- Add shared-color-profiles-extra and AdobeICCProfiles Suggests to
  main package, to help people find additional profiles.
* Tue May  3 2011 vuntz@opensuse.org
- Update to version 0.1.4:
  + Ensure all profiles have an embedded profile ID
- Changes from version 0.1.3:
  + Rename the Oyranos profiles to Oysonar to fix reported license
    violation
* Fri Oct  1 2010 vuntz@opensuse.org
- Update to version 0.1.2:
  + Add several other RGB colorspaces generated using Argyll and
    LCMS2 using data from the SCARSE project
  + Add the Yamma abstract profiles
  + Add two further gray profiles from the Oyranos project
* Wed Apr  7 2010 vuntz@opensuse.org
- Update to version 0.1.1:
  + Add the Public Domain Fogra27L CMYK Coated Press ICC profile
  + Add some profiles from Oyranos with a zlib licence
- Create an extra subpackage for the Oyranos data, since it's
  really big.
* Wed Feb 10 2010 vuntz@opensuse.org
- Clean up spec file.
- Make package noarch.
- Put the LICENSE and README files from Argyll with other similar
  files.
* Thu Jan 21 2010 lmedinas@opensuse.org
- Initial package
